<qemuCaps>
  <emulator>/usr/bin/qemu-system-riscv64</emulator>
  <qemuctime>0</qemuctime>
  <selfctime>0</selfctime>
  <selfvers>0</selfvers>
  <flag name='spice'/>
  <flag name='hda-duplex'/>
  <flag name='piix3-usb-uhci'/>
  <flag name='piix4-usb-uhci'/>
  <flag name='usb-ehci'/>
  <flag name='ich9-usb-ehci1'/>
  <flag name='pci-ohci'/>
  <flag name='usb-hub'/>
  <flag name='ich9-ahci'/>
  <flag name='virtio-blk-pci.scsi'/>
  <flag name='scsi-disk.channel'/>
  <flag name='scsi-block'/>
  <flag name='hda-micro'/>
  <flag name='nec-usb-xhci'/>
  <flag name='lsi'/>
  <flag name='virtio-scsi-pci'/>
  <flag name='seccomp-sandbox'/>
  <flag name='vnc'/>
  <flag name='VGA'/>
  <flag name='cirrus-vga'/>
  <flag name='usb-serial'/>
  <flag name='virtio-rng'/>
  <flag name='rng-random'/>
  <flag name='rng-egd'/>
  <flag name='megasas'/>
  <flag name='tpm-passthrough'/>
  <flag name='tpm-tis'/>
  <flag name='pci-bridge'/>
  <flag name='vfio-pci'/>
  <flag name='dmi-to-pci-bridge'/>
  <flag name='virtio-mmio'/>
  <flag name='ich9-intel-hda'/>
  <flag name='usb-kbd'/>
  <flag name='usb-audio'/>
  <flag name='migrate-rdma'/>
  <flag name='VGA.vgamem_mb'/>
  <flag name='pci-serial'/>
  <flag name='ioh3420'/>
  <flag name='x3130-upstream'/>
  <flag name='xio3130-downstream'/>
  <flag name='rtl8139'/>
  <flag name='e1000'/>
  <flag name='virtio-net'/>
  <flag name='virtio-gpu'/>
  <flag name='virtio-keyboard'/>
  <flag name='virtio-mouse'/>
  <flag name='virtio-tablet'/>
  <flag name='virtio-input-host'/>
  <flag name='virtio-balloon-pci.deflate-on-oom'/>
  <flag name='mptsas1068'/>
  <flag name='virtio-vga'/>
  <flag name='ivshmem-plain'/>
  <flag name='ivshmem-doorbell'/>
  <flag name='vhost-scsi'/>
  <flag name='pcie-root-port'/>
  <flag name='qemu-xhci'/>
  <flag name='chardev-reconnect'/>
  <flag name='vmcoreinfo'/>
  <flag name='pcie-pci-bridge'/>
  <flag name='nbd-tls'/>
  <flag name='pr-manager-helper'/>
  <flag name='screendump_device'/>
  <flag name='hda-output'/>
  <flag name='vhost-vsock'/>
  <flag name='tpm-emulator'/>
  <flag name='memory-backend-memfd'/>
  <flag name='memory-backend-memfd.hugetlb'/>
  <flag name='memory-backend-file.pmem'/>
  <flag name='virtio-pci-non-transitional'/>
  <flag name='nbd-bitmap'/>
  <flag name='bochs-display'/>
  <flag name='migration-file-drop-cache'/>
  <flag name='dbus-vmstate'/>
  <flag name='vhost-user-gpu'/>
  <flag name='vhost-user-vga'/>
  <flag name='incremental-backup'/>
  <flag name='ramfb'/>
  <flag name='drive-nvme'/>
  <flag name='smp-dies'/>
  <flag name='rng-builtin'/>
  <flag name='vhost-user-fs'/>
  <flag name='query-named-block-nodes.flat'/>
  <flag name='blockdev-snapshot.allow-write-only-overlay'/>
  <flag name='blockdev-reopen'/>
  <flag name='fsdev.multidevs'/>
  <flag name='pcie-root-port.hotplug'/>
  <flag name='aio.io_uring'/>
  <flag name='tcg'/>
  <flag name='virtio-blk-pci.scsi.default.disabled'/>
  <flag name='pvscsi'/>
  <flag name='numa.hmat'/>
  <flag name='virtio-balloon.free-page-reporting'/>
  <flag name='block-export-add'/>
  <flag name='netdev.vhost-vdpa'/>
  <flag name='dc390'/>
  <flag name='am53c974'/>
  <flag name='vhost-user-fs.bootindex'/>
  <flag name='vhost-user-blk'/>
  <flag name='memory-backend-file.x-use-canonical-path-for-ramblock-id'/>
  <flag name='migration-param.block-bitmap-mapping'/>
  <flag name='vnc-power-control'/>
  <flag name='object.qapified'/>
  <flag name='rotation-rate'/>
  <flag name='compat-deprecated'/>
  <flag name='acpi-index'/>
  <flag name='input-linux'/>
  <flag name='confidential-guest-support'/>
  <flag name='set-action'/>
  <flag name='virtio-blk.queue-size'/>
  <flag name='memory-backend-file.reserve'/>
  <flag name='netdev.json'/>
  <flag name='query-dirty-rate'/>
  <flag name='rbd-encryption'/>
  <flag name='sev-guest-kernel-hashes'/>
  <flag name='device.json+hotplug'/>
  <flag name='calc-dirty-rate'/>
  <flag name='dirtyrate-param.mode'/>
  <flag name='blockdev.nbd.tls-hostname'/>
  <flag name='memory-backend-file.prealloc-threads'/>
  <flag name='virtio-iommu-pci'/>
  <flag name='virtio-iommu.boot-bypass'/>
  <flag name='virtio-net.rss'/>
  <flag name='chardev.qemu-vdagent'/>
  <flag name='iothread.thread-pool-max'/>
  <flag name='migration.blocked-reasons'/>
  <flag name='query-stats'/>
  <flag name='query-stats-schemas'/>
  <flag name='thread-context'/>
  <flag name='screenshot-format-png'/>
  <flag name='netdev.stream'/>
  <flag name='virtio-crypto'/>
  <flag name='pvpanic-pci'/>
  <flag name='virtio-gpu.blob'/>
  <flag name='smp-clusters'/>
  <flag name='display-reload'/>
  <flag name='usb-mtp'/>
  <flag name='netdev.user'/>
  <flag name='usb-bot'/>
  <version>7002050</version>
  <microcodeVersion>0</microcodeVersion>
  <package>v7.2.0-333-g222059a0fc</package>
  <arch>riscv64</arch>
  <machine type='tcg' name='virt' maxCpus='512' defaultCPU='rv64-riscv-cpu' numaMemSupported='yes' defaultRAMid='riscv_virt_board.ram'/>
  <machine type='tcg' name='x-remote' maxCpus='1'/>
  <machine type='tcg' name='spike' maxCpus='8' default='yes' defaultCPU='rv64-riscv-cpu' numaMemSupported='yes' defaultRAMid='riscv.spike.ram'/>
  <machine type='tcg' name='microchip-icicle-kit' maxCpus='5' defaultRAMid='microchip.icicle.kit.ram'/>
  <machine type='tcg' name='sifive_u' maxCpus='5' defaultCPU='sifive-u54-riscv-cpu' defaultRAMid='riscv.sifive.u.ram'/>
  <machine type='tcg' name='shakti_c' maxCpus='1' defaultCPU='shakti-c-riscv-cpu' defaultRAMid='riscv.shakti.c.ram'/>
  <machine type='tcg' name='sifive_e' maxCpus='1' defaultCPU='sifive-e51-riscv-cpu' defaultRAMid='riscv.sifive.e.ram'/>
</qemuCaps>
